
#include "Config.h"

int
main(int argc, char *argv[]) {
  Config* conf;
  string  info;
  void*   ptr;
  bool    good;

  if ((argc != 2) && (argc != 3)) {
    cout << "usage: " << argv[0] << " [-d] conf_file\n";
    exit(0);
  }
  
  if (argc == 2) {
    conf = new Config(argv[1]);
  } else {
    if (strcmp(argv[1], "-d") != 0) {
      cerr << "unsupported option " << argv[1] << "\n";
      exit(0);
    } else {
      conf = new Config(argv[2], true);
    }
  }
  ptr = conf->GetItem("Domain", "pooh", "ip", 0);
  if (ptr != 0) {
    info = *((string *)ptr);
    cout << "\ninfo = " << info << "\n";
  } else {
    cout << "\nCouldn't get info\n";
  }
  good = conf->SetLevel("Domain", "pooh", 0);
  if (good == true) {
    ptr = conf->GetItem("ip",0);
    if (ptr != 0) {
      info = *((string *)ptr);
      cout << "info = " << info << "\n";
    } else {
      cout << "Couldn't get info from SetLevel\n";
    }
    good = conf->SetItem("208.199.118.254", "ip", 0);
    ptr = conf->GetItem("ip",0);
    if (ptr != 0) {
      info = (char *)ptr;
      cout << "info = " << info << "\n";
    } else {
      cout << "Couldn't get info from SetItem\n";
    }
  } else {
    cout << "Couldn't do SetLevel\n";
  }
  conf->ResetLevel();
  conf->DebugDump();
  ptr = conf->GetItem("Domain","ispn.net","Database",0);
  if (ptr != 0) {
    info = *((string *)ptr);
    cout << "info = " << info << "\n";
  } else {
    cout << "Couldn't get ispn.net info\n";
  }
}
